#include <iostream>
#include <string>
#include <sstream>
using namespace std;

template <typename T>
  std::string to_string ( T Number )
  {
     std::ostringstream ss;
     ss << Number;
     return ss.str();
  }
int main()
{
    long long A, B, C; cin >> A >> B >> C; string res;
    string s1 = to_string(A)+to_string(B)+to_string(C);
    string s2 = to_string(A)+to_string(C)+to_string(B);
    string s3 = to_string(B)+to_string(A)+to_string(C);
    string s4 = to_string(B)+to_string(C)+to_string(A);
    string s5 = to_string(C)+to_string(A)+to_string(B);
    string s6 = to_string(C)+to_string(B)+to_string(A);
    int com13,com15,com12,com35,com34,com56;
    com13 = s1.compare(s3);
    com15 = s1.compare(s5);
    com12 = s1.compare(s2);
    com35 = s3.compare(s5);
    com34 = s3.compare(s4);
    com56 = s5.compare(s6);
    if(com13>0 && com15>0){
        if(com12>0) res = s1;
        else res = s2;
    }else if(com13<0 && com35>0){
        if(com34>0) res = s3;
        else res = s4;
    }else{
        if(com56>0) res = s5;
        else res = s6;
    }
    cout << res;
    return 0;
}